package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.ExamQuestion;
import cn.com.qmth.stmms.biz.exam.service.query.ExamQuestionSearchQuery;

public interface ExamQuestionService {

    ExamQuestion save(ExamQuestion question);

    ExamQuestionSearchQuery findByQuery(ExamQuestionSearchQuery query);

    long countByQuery(ExamQuestionSearchQuery query);

    void updateMainTitle(Integer examId, String subjectCode, boolean objective, Integer mainNumber, String mainTitle);

    void deleteByExamAndSubjectAndObjective(Integer examId, String subjectCode, boolean objective);

    void deleteByExamAndSubjectAndObjectiveAndMainNumber(Integer examId, String subjectCode, boolean objective,
            Integer mainNumber);

    List<ExamQuestion> findByExamAndSubjectAndObjective(Integer examId, String subjectCode, boolean objective);

    List<ExamQuestion> findByExamAndSubjectAndObjectiveAndPaperType(Integer examId, String subjectCode,
            boolean objective, String paperType);

    List<ExamQuestion> findByExamAndSubjectAndObjectiveAndMainNumber(Integer examId, String subjectCode,
            boolean objective, Integer mainNumber);

    List<ExamQuestion> findByExamAndSubjectAndObjectiveAndPaperTypeAndMainNumber(Integer examId, String subjectCode,
            boolean objective, String paperType, Integer mainNumber);

}
